Part Cylinder/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 38: Line 38:
* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.20}}
* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.20}}
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.20}}
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.20}}

== Scripting ==

A Part Cylinder can be created using the following function:

{{Code|code=
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
}}

* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.





Revision as of 14:03, 8 January 2022

Díl Válec

Umístění Menu
Díl -> Válec
Pracovní stoly
Modul Díl, Kompletace
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Díl Vytváření zakl.geom.tvarů

Description

Creates a simple parametric cylinder, with position, angle, radius and height parameters.

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:
    • Press the Cylinder button in the toolbar.
    • Select Part → Primitives → Cylinder entry from the top menu

Result: The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.

The cylinder properties can later be edited, either in the Property editor or by double-clicking the cylinder in the Tree view.

válec vytvořený nástrojem Válec

Properties

  • ÚdajeAngle: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)
  • ÚdajeHeight: The height is the distance in the z-axis
  • ÚdajeRadius: The radius defines a plane in x-y.
  • ÚdajeFirst Angle: Angle in first direction. introduced in version 0.20
  • ÚdajeSecond Angle: Angle in second direction. introduced in version 0.20

Scripting

A Part Cylinder can be created using the following function:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.